MESSAGE(9)

NAME

message - Display a message

SYNOPSIS

loadrt message [count=N|names=name1[,name2...]] [messages=N]

    messages
        The messages to display. These should be listed, comma-delimited, inside a single set of quotes. See the "Description" section for an example. If there are more messages than "count" or "names" then the excess will be ignored. If there are fewer messages than "count" or "names" then an error will be raised and the component will not load.

DESCRIPTION

Allows HAL pins to trigger a message. Example hal commands:
 loadrt message names=oillow,oilpressure,inverterfail messages="Slideway oil low,No oil pressure,Spindle inverter fault"
 addf oillow servo-thread
 addf oilpressure servo-thread
 addf inverterfail servo-thread

 setp oillow.edge 0 #this pin should be active low
 net no-oil classicladder.0.out-21 oillow.trigger
 net no-pressure classicladder.0.out-22 oilpressure.trigger
 net no-inverter classicladder.0.out-23 inverterfail.trigger

When any pin goes active, the corresponding message will be displayed.

FUNCTIONS

message.N
    Display a message

PINS

message.N.trigger bit in (default: FALSE)
    signal that triggers the message

message.N.force bit in (default: FALSE)
    A FALSE->TRUE transition forces the message to be displayed again if the trigger is active

PARAMETERS

message.N.edge bit rw (default: TRUE)
    Selects the desired edge: FALSE means falling, TRUE means rising

AUTHOR

Les Newell

LICENSE

GPL v2